Navigation: Up, Table of Contents, Bibliography, Index, Title Page

## MinEllipse2Traits

### Definition

This concept defines the requirements for traits classes of CGAL::Min_ellipse_2<Traits>.

### Types

MinEllipse2Traits::Point
| The point type must provide default and copy constructor, assignment and equality test.
MinEllipse2Traits::Ellipse
| The ellipse type must fulfill the requirements listed below in the next section.

### Variables

Ellipse | ellipse; | The current ellipse. This variable is maintained by the algorithm, the user should neither access nor modify it directly.

### Creation

Only default and copy constructor are required.

MinEllipse2Traits traits;

MinEllipse2Traits traits ( Traits);

### Has Models

CGAL::Min_ellipse_2_traits_2<K>

### See Also

CGAL::Min_ellipse_2<Traits>

Next: Ellipse

Navigation: Table of Contents, Bibliography, Index, Title Page

The CGAL Project . Tue, December 21, 2004 .